#include <iostream>

using namespace std;

int main()
{
    int T,N,M,K,e;
    int a=0;
    cin>>T;
    for(int i=1;i<=T;i++)
    {
        cin>>N>>M>>K;
        for(int j=1;j<=(N/K);j++)
        {
            a=a+j;
        }
        
        e=K*a+(N%K*(N/K+1));
        
        
        if(M>=e)
        {
            cout<<"Tak"<<endl;
        }
        else
        {
            cout<<"Nie"<<endl;
        }
        a=0;
        
    }

    return 0;
}